package com.zksy.controller.property;

import com.zksy.property.domain.ATenantInfo;
import com.zksy.property.service.ATenantInfoService;
import com.zksy.utils.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;
import java.util.Arrays;

/**
 * @author Administrator
 * @version 1.0
 * @project enterprise-assets-service
 * @description 租户信息控制层
 * @date 2025/6/24 14:33:13
 */

@RestController
@RequestMapping("/atenantInfo")
@Api(tags = "租户信息",description = "租户信息desc")
public class ATenantInfoController {
    @Autowired
    private ATenantInfoService service;
    @GetMapping("/findByPage")
    @ApiOperation(value = "租户信息查询分页")
    public AjaxResult findByPage(long pageNum, long pageSize, String tenantName,String tenantIdCard,String tenantInDate){
        return AjaxResult.success(service.findByPage(pageNum, pageSize, tenantName,tenantIdCard,tenantInDate));
    }
    @GetMapping("/getATenantInfoList")
    @ApiOperation(value = "租户信息查询")
    public AjaxResult getATenantInfoList(String tenantName,String tenantIdCard,String tenantInDate){
        return AjaxResult.success(service.getATenantInfoList(tenantName,tenantIdCard,tenantInDate));
    }
    @GetMapping("/getById/{id}")
    @ApiOperation(value = "根据Id查询租户信息")
    public AjaxResult getById(@PathVariable String id){
        return AjaxResult.success(service.getById(id));
    }
    @PostMapping("/save")
    @ApiOperation(value = "租户信息保存")
    public AjaxResult save(@RequestBody ATenantInfo entity) {
        return service.save(entity) ? AjaxResult.success(entity) : AjaxResult.error("保存失败");
    }
    @PostMapping("/update")
    @ApiOperation(value = "租户信息修改")
    public AjaxResult update(@RequestBody ATenantInfo entity) {
        entity.setUpdateTime(LocalDateTime.now());
        return service.updateById(entity) ? AjaxResult.success(entity) : AjaxResult.error("修改失败");
    }
    @PostMapping("/deleteBatch")
    @ApiOperation(value = "租户信息删除")
    public AjaxResult delete(@RequestBody String[] ids) {
        return service.removeBatchByIds(Arrays.asList(ids)) ? AjaxResult.success("删除成功") : AjaxResult.error("删除失败");
    }

    @GetMapping("/getBySimplifiedHouseId")
    @ApiOperation(value = "根据房屋ID查询")
    public AjaxResult getBySimplifiedHouseId(String simplifiedHouseId){
        return AjaxResult.success(service.getBySimplifiedHouseId(simplifiedHouseId));
    }

}
